<?php
/*
// Scrolling Share Button Plugin for Joomla! 1.5.x - Version 1.8
// Copyright (c) 2010 Serafino Bilotta. All rights reserved.
// Released under the GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
// More info at http://www.p2warticles.com
// Designed and developed by Serafino Bilotta
// *** Last update: August 20th, 2010 ***
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
 
// Import library dependencies
jimport('joomla.event.plugin');
 
class plgContentScrollingsharebutton extends JPlugin
{
	
    function plgContentScrollingsharebutton( &$subject, $params )
    {
            parent::__construct( $subject );
 			global $mainframe;
			
			// load plugin parameters
            $this->_plugin = JPluginHelper::getPlugin( 'content', 'scrollingsharebutton' );
            $this->_params = new JParameter( $this->_plugin->params );
			//load jquery?
			$loadjquery = $this->_params->get( 'setjquery');
			$loadeffecttype = $this->_params->get('seteffectscrolltype');
			$loadmarginforfixed = $this->_params->get('ifsetfixedeffect');
			$loadmarginleft = $this->_params->get('setMarginleft');
			$loadscrollingstyle = $this->_params->get('scrollingstyle');
			$leftorright = $this->_params->get('ifsetfixedeffectLR');
			$loadTranslateButtons = $this->_params->get('showTranslateButtons');
			$loadDeliciousButton = $this->_params->get('showDeliciousButton');
			
			if ($loadjquery == 1){
				JHTML::_('behavior.mootools');
				$mainframe->addCustomHeadTag('
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
');
				$mainframe->addCustomHeadTag('
<script type="text/javascript">jQuery.noConflict();</script>
');
			}
			$mainframe->addCustomHeadTag('
<style type="text/css" media="screen">
/*
// Scrolling Share Button Plugin for Joomla! 1.5.x
// Copyright (c) 2010 Serafino Bilotta. All rights reserved.
// More info at http://www.p2warticles.com
*/
'.$loadscrollingstyle.'
</style>
');
if($loadDeliciousButton==1)
				$mainframe->addCustomHeadTag('
<style type="text/css" media="screen">
.share-ar{
width:50px;
height:63px;
text-align:center;
}

.sharer{
width:50px;
height: 45px;
background: url(http://2.bp.blogspot.com/_5rlxf3T9Z9U/TAbBZJth5yI/AAAAAAAAHjo/FjCcx7cEcyE/s1600/del+above.png) no-repeat;
font-weight: bold;
font-size: 16px;
font-family:arial;
color:#adadad;
margin:0 auto;
line-height:36px;
}
.share-b{
font-size:10px;
text-transform:none;
color:#FFF;
margin:0 auto;
width:50px;
height:17px;
line-height: 17px;
}
.share-b a:link, .share-b a:visited{
color:#FFF;
font-weight:normal;
background: url(http://4.bp.blogspot.com/_5rlxf3T9Z9U/TAbLWujRYKI/AAAAAAAAHkI/3H0KFMwuWuo/s1600/del+new.png) no-repeat;
display: block;
text-decoration:none;
}
.share-b a:hover{
color:#11788b;
font-weight:normal;
text-decoration:none;
background: url(http://4.bp.blogspot.com/_5rlxf3T9Z9U/TAbLWujRYKI/AAAAAAAAHkI/3H0KFMwuWuo/s1600/del+new.png) no-repeat center -17px;
display: block;
}
</style>
');
			if($loadeffecttype==1){
				$mainframe->addCustomHeadTag('
<style type="text/css" media="screen">
#share_div_float{float:left;margin-left:'.$loadmarginleft.'px}
</style>
');
				$mainframe->addCustomHeadTag('
<script src="plugins/content/scrollingsharebutton/float.js" type="text/javascript"></script>
');
				$mainframe->addCustomHeadTag('
<script type="text/javascript">');
				$mainframe->addCustomHeadTag('jQuery(document).ready(main);');
				$mainframe->addCustomHeadTag('function main()');
				$mainframe->addCustomHeadTag('{			jQuery("#share_div_float").makeFloat({x:"current",y:"current"});		}</script>
');
			}
			if ($loadeffecttype==0) {
				if($leftorright==0){
					$mainframe->addCustomHeadTag('
<style type="text/css" media="screen">
#share_div_float{float:right;margin-right:'.$loadmarginleft.'px}
</style>
');}
				else{
						$mainframe->addCustomHeadTag('
<style type="text/css" media="screen">
#share_div_float{float:left;margin-left:'.$loadmarginleft.'px}
</style>
');}
				$mainframe->addCustomHeadTag('
<script type="text/javascript">
//<![CDATA[
jQuery(document).ready(function() {

	//put content div class, when scroll beyond this y, float it
	var $postShareB = jQuery(\'#share_div_float\');
	
	if(jQuery(\'.scrolling-wrap-buttons\').length > 0){

		var descripY = parseInt(jQuery(\'.scrolling-wrap-buttons\').offset().top) - 20;
		var pullX = $postShareB.css(\'margin-left\');
	
		jQuery(window).scroll(function () { 
		  
			var scrollY = jQuery(window).scrollTop();
			var fixedShare = $postShareB.css(\'position\') == \'fixed\';
			
			//make sure .post_share exists
			if(jQuery(\'#share_div_float\').length > 0){
			
				if ( scrollY > descripY && !fixedShare ) {
					$postShareB.stop().css({
						position: \'fixed\',
						left: \'50%\',
						top: 20,
						marginLeft: '.$loadmarginforfixed.'
	
					});
				} else if ( scrollY < descripY && fixedShare ) {
					$postShareB.css({
						position: \'relative\',
						left: 0,
						top: 0,
						marginLeft: pullX
					});
				}
				
			}
	
		});
	}

});
											 //]]></script>
');
			}
			if($loadeffecttype==2){
				if($leftorright==0){
					$mainframe->addCustomHeadTag('
<style type="text/css" media="screen">
#share_div_float{float:right;margin:5px}
</style>
');}
				else{
						$mainframe->addCustomHeadTag('
<style type="text/css" media="screen">
#share_div_float{float:left;margin:5px}
</style>
');}	
			}
			if($loadTranslateButtons==1){
				$mainframe->addCustomHeadTag('
<script type="text/javascript" src="plugins/content/scrollingsharebutton/ui.js"></script>
<script type="text/javascript">
	jQuery(function() {window.setTimeout(function() {jQuery("#magnifier").magnifier({
				magnification: 1.5,
				overlap: true,
				zIndex: 10,
				opacity: { min: 0.6, max: 1 },
				distance: 10
			});
		}, jQuery.browser.safari ? 100 : 0);
	});
	</script>
');
			}
			if($this->_params->get('showTopsyButton')==1)
				$mainframe->addCustomHeadTag('<script type="text/javascript" src="http://cdn.topsy.com/topsy.js?init=topsyWidgetCreator"></script>');
			
    }
	
		
	function countPlg($a){
    	static $counterPlg = 0;
		if ($a=='')
			return $counterPlg;
		else
			$counterPlg+=$a;
	}
	
	function onPrepareContent( &$article, &$params ){
			$view_content = JRequest :: getVar('view');
			$id=JRequest::getVar('id');
			// load plugin parameters
            $this->_plugin = JPluginHelper::getPlugin( 'content', 'scrollingsharebutton' );
            $this->_params = new JParameter( $this->_plugin->params );
			$uri =& JURI::getInstance();
			$url = $uri->getScheme().'://'.$uri->getHost().$uri->getPath().'?'.$uri->getQuery();
			//$url = urlencode($url);
			/*
			require_once (JPATH_ROOT . DS . 'components' . DS . 'com_content' . DS . 'helpers' . DS . 'route.php');
			$url = JRoute::_ ( ContentHelperRoute::getArticleRoute ($article->id, $article->catid, $article->sectionid));
			$uri = & JURI::getInstance ();
			$base = $uri->toString ( array ('scheme', 'host', 'port' ) );
			$url = $base . $url;
			$url = JRoute::_ ( $url, true, 0 );*/
						
			$VshowFBLikeButton=$this->_params->get('showFBLikeButton');
    		$VFBlikePosition=$this->_params->get('FBlikePosition');
			$VFBlikeTB=$this->_params->get('FBlikeTB');
			$showinArticle=$this->_params->get('showinArticle');
			$showinCat=$this->_params->get('showinCat');
			if($showinCat==1 && $view_content == 'category' && $this->excludeFromCatSecArticle($article, $id)&& ($this->countPlg('')==0 || $this->countPlg('')==1)){
				if ($this->countPlg('')!=0){
				$loaddivshare[].=implode('',$this->getAllButtons($url,$article->title));
    			$article->text = implode("\n", $loaddivshare).$article->text.('</div>
<!-- END: WRAPBUTTONS CONTENT -->');}
				$this->countPlg('1');
			}
			
			elseif($showinArticle==1 && $view_content == 'article' && $this->excludeFromCatSecArticle($article,'')){
				$loaddivshare[].=implode('',$this->getAllButtons($url,$article->title));
				if($VFBlikeTB==0)
    				$article->text = implode("\n", $loaddivshare).implode("",$this->likeButtonFB($VshowFBLikeButton,$VFBlikePosition,$url)).$article->text.('</div>
<!-- END: WRAPBUTTONS CONTENT -->');
				else
					$article->text = implode("\n", $loaddivshare).$article->text.implode("",$this->likeButtonFB($VshowFBLikeButton,$VFBlikePosition,$url)).('</div>
<!-- END: WRAPBUTTONS CONTENT -->');
			}			
	}
	
	function getAllButtons ($u,$t){
		// load plugin parameters
        $this->_plugin = JPluginHelper::getPlugin( 'content', 'scrollingsharebutton' );
        $this->_params = new JParameter( $this->_plugin->params );
		
		$url=$u;
		$loaddivshare[]= '<div id="share_div_float"><div id="share_buttons">';
		$loaddivshare[].=$this->getCustomCode($this->_params->get('showCustomCode'),$this->_params->get('customCode'));
		$loaddivshare[].=$this->getTweetmeme($this->_params->get('showTweetmemeButton'),$url,$this->_params->get('tweetmemeUser'),$this->_params->get('tweetmemeUrlShort'));
		$loaddivshare[].=$this->getTwitter($this->_params->get('showTwitterButton'),$this->_params->get('tweetmemeUser'));
		$loaddivshare[].=$this->getTopsy($this->_params->get('showTopsyButton'),$url,$t,$this->_params->get('tweetmemeUser'),$this->_params->get('topsyThemes'));
		$loaddivshare[].=$this->getDigg($this->_params->get('showDiggButton'));
		$loaddivshare[].=$this->getReddit($this->_params->get('showRedditButton'),$url);
		$loaddivshare[].=$this->getUpnews($this->_params->get('showUpnewsButton'),$url);
		$loaddivshare[].=$this->getFbshare($this->_params->get('showFbshareButton'),$url);
		$loaddivshare[].=$this->getDelicious($this->_params->get('showDeliciousButton'),$url,$t);
		$loaddivshare[].=$this->getStumbleupon($this->_params->get('showStumbleuponButton'),$url);
		$loaddivshare[].=$this->getSphinn($this->_params->get('showSphinnButton'),$url);
		$loaddivshare[].=$this->getBuzz($this->_params->get('showBuzzButton'),$url);
		$loaddivshare[].=$this->getDiggita($this->_params->get('showDiggitaButton'),$url);
		$loaddivshare[].=$this->getFacebook($this->_params->get('showFacebookButton'),$url);
		$loaddivshare[].=$this->getTechnotizie($this->_params->get('showTechnotizieButton'));
		$loaddivshare[].=$this->getEmail($this->_params->get('showEmailButton'),$url, $t);
		$loaddivshare[].=$this->getYBuzz($this->_params->get('showYBuzzButton'),$url);
		$loaddivshare[].=$this->getMySpace($this->_params->get('showMySpaceButton'));
		$loaddivshare[].=$this->getDesignFloat($this->_params->get('showDesignFloat'),$url);
		$loaddivshare[].=$this->getDZone($this->_params->get('showDZone'),$url,$t);
		$loaddivshare[].=$this->getTranslateButtons($this->_params->get('showTranslateButtons'),$url,$this->_params->get('setSourceLang'));
		$loaddivshare[].=$this->getPoweredBy($this->_params->get('showPoweredBy'));
		$loaddivshare[].='</div></div><div class="scrolling-wrap-buttons">';
		
		return $loaddivshare;
	}
	
	function excludeFromCatSecArticle(&$row, $catid){
		// load plugin parameters
		$plugin=&JPluginHelper::getPlugin('content', 'scrollingsharebutton');
		$Params=new JParameter( $plugin->params );
		$pluginRegistry=$Params->_registry['_default']['data'];
		$chksection=0;$chkcategory=0;$chkarticle=0;
		if ($pluginRegistry->scrollingexcludesection!=''){
			$Vscrollingexcludesection=array();
			$Vscrollingexcludesection=explode(',',$pluginRegistry->scrollingexcludesection);
			if (in_array($row->sectionid,$Vscrollingexcludesection))
						 $chksection=1;
		}
		if ($pluginRegistry->scrollingexcludecat!=''){
			$Vscrollingexcludecat=array();
			$Vscrollingexcludecat=explode(',',$pluginRegistry->scrollingexcludecat);
			if (in_array($row->catid,$Vscrollingexcludecat) || in_array($catid,$Vscrollingexcludecat))
						 $chkcategory=1;
		}
		if ($pluginRegistry->scrollingexcludearticle!=''){
			$Vscrollingexcludearticle=array();
			$Vscrollingexcludearticle=explode(',',$pluginRegistry->scrollingexcludearticle);
			if (in_array($row->id,$Vscrollingexcludearticle))
						 $chkarticle=1;
		}
		if ($chksection==1 || $chkcategory==1 || $chkarticle==1)
			return false;
		else
			return true;
	}
	
	function makeTranslateURL($url, $sourceL, $translateL){
		if ($sourceL==$translateL)
			return ' href="#" onClick="return doNothing()"';
		else
			return ' href="http://translate.google.com/translate?js=y&prev=_t&ie=UTF-8&layout=1&u='.urlencode($url).'&sl='.$sourceL.'&tl='.$translateL.'" target="_blank"';
	}
	
	function likeButtonFB($value, $position, $url){
		$like[]='';
		
		if ($value==1){
			$lb[]='
<div id="fb_like_button" style="margin:5px; float:';
			if ($position==0)
				$lb[].='left';
			else
				$lb[].='right';
			$lb[].='">
  <iframe src="http://www.facebook.com/plugins/like.php?href='.urlencode(htmlentities($url));
			if($this->_params->get('FBlikeLayoutStyle')=='standard')
				$height='35';
			elseif($this->_params->get('FBlikeLayoutStyle')=='button_count')
				$height='21';
			if($this->_params->get('FBlikeLayoutStyle')=='standard' && $this->_params->get('FBlikeShowFaces')==1)
				$height='80';
			$lb[].='&amp;layout='.$this->_params->get('FBlikeLayoutStyle');
			$lb[].='&amp;show_faces='.$this->_params->get('FBlikeShowFaces');
			$lb[].='&amp;width='.$this->_params->get('FBlikeWidth');
			$lb[].='&amp;action='.$this->_params->get('FBlikeVerb');
			$lb[].='&amp;font='.$this->_params->get('FBlikeFont');
			$lb[].='&amp;colorscheme='.$this->_params->get('FBlikeColor');
			$lb[].='&amp;height='.$height;
			$lb[].='" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:'.$this->_params->get('FBlikeWidth').'px; height:'.$height.'px;" allowTransparency="true"></iframe>
</div>
';
			$like=$lb;
			return $like;			
		}
		return $like;
	}
	//Buttons Functions
	function getTweetmeme($button, $u, $tweetmeme, $short){
		if($button==1){
			if ($short!='no')
				$shortener='tweetmeme_service = \''.$short.'\';';
			else
				$shortener='';
			return '
<script type="text/javascript">
tweetmeme_source = \''.$tweetmeme.'\';
'.$shortener.'
</script>
<script type="text/javascript" src="http://tweetmeme.com/i/scripts/button.js"></script>
';}
		return '';
	}
	
	function getDigg($button){
		if($button==1)
		   return '
<div class="single_button">
  <script type="text/javascript">(function(){var s = document.createElement(\'SCRIPT\'), s1 = document.getElementsByTagName(\'SCRIPT\')[0];s.type = \'text/javascript\';s.src = \'http://widgets.digg.com/buttons.js\';s1.parentNode.insertBefore(s, s1);})();
</script>
  <a class="DiggThisButton DiggMedium"></a></div>
';
	  	return '';
	}
	
	function getCustomCode($button,$code){
		if ($button==1)
			return '<div class="single_button">'.$code.'</div>';
		return '';
	}
	
	function getUpnews($button,$u){
		if($button==1)
			return '
<div class="single_button">
	<script src="http://www.upnews.it/tools/button.php" type="text/javascript"></script>
</div>
';
		return '';
	}
	
	function getTwitter($button,$user){
		if ($button==1)
			return '<div class="single_button"><a href="http://twitter.com/share" class="twitter-share-button" data-count="vertical" data-via="'.$user.'">Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script></div>';
		return '';
	}
	
	function getReddit($button,$u){
		if($button==1)
			return '
<div class="single_button">
	<script type="text/javascript" src="http://reddit.com/static/button/button2.js"></script>
</div>
';
		return '';
	}
	
	function getFbshare($button,$u){
		if($button==1)
			return '
<div class="single_button">
	<script src="http://widgets.fbshare.me/files/fbshare.js"></script>
</div>
';
		return '';
	}
	
	function getStumbleupon($button,$u){
		if($button==1)
			return '
<div class="single_button">
  <script src="http://www.stumbleupon.com/hostedbadge.php?s=5"></script>
</div>
';
		return '';
	}
	
	function getSphinn($button,$u){
		if($button==1)
			return '
<div class="single_button">
	<script type="text/javascript" src="http://sphinn.com/evb/button.php"></script>
</div>
';
		return '';
	}
	
	function getBuzz($button,$u){
		if($button==1)
			return '
<div class="single_button">
	<a title="Post on Google Buzz" class="google-buzz-button" href="http://www.google.com/buzz/post" data-button-style="normal-count"></a>
	<script type="text/javascript" src="http://www.google.com/buzz/api/button.js"></script>
</div>
';
		return '';
	}
	
	function getDiggita($button,$u){
		if($button==1)
			return '
<div class="single_button">
	<script type="text/javascript" src="http://www.diggita.it/evb/button.php"></script>
</div>
';
		return '';
	}
	
	function getFacebook($button,$u){
		if($button==1)
			return '
<div class="single_button"><a name="fb_share" type="box_count" href="http://www.facebook.com/sharer.php">Share</a>
  <script src="http://static.ak.fbcdn.net/connect.php/js/FB.Share" type="text/javascript"></script>
  <br />
</div>
';
		return '';
	}
	
	function getTechnotizie($button){
		if($button==1)
			return '
<div class="single_button">
  <script type="text/javascript">tech_url= encodeURIComponent(window.location.href);tech_title= encodeURIComponent(document.title);</script>
  <script src="http://www.technotizie.it/script/tech2.js" type="text/javascript"></script>
</div>
';
		return '';
	}
	
	function getTopsy($button,$url,$t,$user,$theme){
		if($button==1)
			return '
<div class="single_button">
	<div class="topsy_widget_data"><!--
	    {
    	    "url": "'.$url.'",
        	"title": "'.$t.'",
			"theme": "'.$theme.'",
    	    "nick": "'.$user.'",
			"style": "big"
    	}
--></div>
</div>';
		return '';
	}
	
	function getEmail($button,$u,$t){
		if($button==1)
			return '
<div class="single_button">
  <iframe src="http://getmailcounter.com/mailcounter/?url='.urlencode(htmlentities($u)).'&amp;title='.urlencode(htmlentities($t)).'" height="64" width="50" frameborder="0" scrolling="no"></iframe>
</div>
';
		return '';
	}
	
	function getYBuzz($button,$u){
		if($button==1)
			return '
<div class="single_button" style="margin-left:3px;">
	<script type="text/javascript">
	    yahooBuzzArticleId = window.location.href;
	</script>
	<script type="text/javascript" src="http://d.yimg.com/ds/badge2.js" badgetype="square"></script>
</div>
';
		return '';
	}
	function getMySpace($button){
		if($button==1)
			return '
<div class="single_button"><a href="javascript:void(window.open(\'http://www.myspace.com/Modules/PostTo/Pages/?u=\'+encodeURIComponent(document.location.toString()),\'ptm\',\'height=450,width=440\').focus())"><img src="http://cms.myspacecdn.com/cms/ShareOnMySpace/LargeSquare.png" border="0" alt="Share on MySpace" /></a></div>
';
		return '';
	}
	
	function getDesignFloat($button,$u){
		if($button==1)
			return '
<div class="single_button">
  <script type="text/javascript">submit_url =\''.urlencode($u).'\';</script>
  <script type="text/javascript" src="http://www.designfloat.com/evb2/button.php"></script>
</div>
';
		return '';
	}
	
	function getDZone($button,$u,$t){
		if($button==1)
			return '
<div class="single_button">
  <script type="text/javascript">var dzone_url = \''.urlencode(htmlentities($u)).'\';</script>
  <script type="text/javascript">var dzone_title = \''.htmlentities($t).'\';</script>
  <script language="javascript" src="http://widgets.dzone.com/links/widgets/zoneit.js"></script>
</div>
';
		return '';
	}
	
	function getDelicious($button,$u,$t){
		if($button==1)
			return '
<div class="single_button">
<div class="share-ar">
<div class="sharer" id="delic">0</div>
<div class="share-b"><a href="http://del.icio.us/post?url='.urlencode(htmlentities($u)).'&title='.htmlentities($t).'" target="blank">delicious</a></div>
<script type="text/javascript">
		function delic(info) { 
		if(!info[0]) return;
		var num = info[0].total_posts;
		if(!num) return;			
		var delic = document.getElementById(\'delic\');
		delic.innerHTML = \'\' + num;
		delic.style.textIndent = 0;
		delic.style.paddingRight= \'6px\';
	}
</script>
<script src="http://badges.del.icio.us/feeds/json/url/data?url='.urlencode($u).'&callback=delic"></script>
</div>
</div>
';
		return '';
	}
	
	function getPoweredBy($button){
		if($button==1)
			return '
<div class="single_button"><span style="font-size:9px;text-shadow:#000 1px 1px 4px;background-color:#fff;font-family:Arial Narrow"><a href="http://www.p2warticles.com" style="color:#fff;" target="_blank">PwdByEddie</a></span></div>
';
		return '';
	}
	function getTranslateButtons($button,$u,$s){
		if($button==1)
			return '
<div class="single_button" style="margin-left:4px;display:block">
  <ul id="magnifier">
    <li style="opacity: 0.6; position: absolute; top: 0px; left: 0px; width: 16px; height: 16px;"><a'.$this->makeTranslateURL($u,$s, "it").'><img src="plugins/content/scrollingsharebutton/images/it.png" alt=""></a></li>
    <li style="opacity: 0.6; position: absolute; top: 0px; left: 16px;width: 16px; height: 16px;"><a'.$this->makeTranslateURL($u,$s, "es").'><img src="plugins/content/scrollingsharebutton/images/es.png" alt=""></a></li>
    <li style="opacity: 0.6; position: absolute; top: 0px; left: 32px;width: 16px; height: 16px;"><a'.$this->makeTranslateURL($u,$s, "de").'><img src="plugins/content/scrollingsharebutton/images/de.png" alt=""></a></li>
    <li style="opacity: 0.6; position: absolute; top: 16px; left: 0px;width: 16px; height: 16px;"><a'.$this->makeTranslateURL($u,$s, "en").'><img src="plugins/content/scrollingsharebutton/images/uk.png" alt=""></a></li>
    <li style="opacity: 0.6; position: absolute; top: 16px; left: 16px;width: 16px; height: 16px;"><a'.$this->makeTranslateURL($u,$s, "ru").'><img src="plugins/content/scrollingsharebutton/images/ru.png" alt=""></a></li>
    <li style="opacity: 0.6; position: absolute; top: 16px; left: 32px;width: 16px; height: 16px;"><a'.$this->makeTranslateURL($u,$s, "zh").'><img src="plugins/content/scrollingsharebutton/images/cn.png" alt=""></a></li>
    <li style="opacity: 0.6; position: absolute; top: 32px; left: 0px; width: 16px; height: 16px;"><a'.$this->makeTranslateURL($u,$s, "ja").'><img src="plugins/content/scrollingsharebutton/images/jp.png" alt=""></a></li>
    <li style="opacity: 0.6; position: absolute; top: 32px; left: 16px;width: 16px; height: 16px;"><a'.$this->makeTranslateURL($u,$s, "sv").'><img src="plugins/content/scrollingsharebutton/images/se.png" alt=""></a></li>
    <li style="opacity: 0.6; position: absolute; top: 32px; left: 32px;width: 16px; height: 16px;"><a'.$this->makeTranslateURL($u,$s, "fr").'><img src="plugins/content/scrollingsharebutton/images/fr.png" alt=""></a></li>
  </ul>
</div>
';
	}
}